package interfaces

import (
	"database/sql"

	"github.com/gofiber/fiber/v2"
)

type IApp interface {
	GetDBService() *sql.DB
	GetEnvService() IEnv
	GetCacheService() ICache
	GetMailerService() IMailer
	GetArticleRepository() IArticleRepository
	GetTagRepository() ITagRepository
	GetFiber() *fiber.App
}
